@ECHO OFF

ECHO.
ECHO /*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/
ECHO              MR5000 UEFIアップデートプログラム
ECHO                                  Version:AP5U-0051-JG11
ECHO /*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/
ECHO.
ECHO.
ECHO.UEFIアップデートを実行します
ECHO.※アップデート中に電源を落としたり、ほかの作業をしないでください
ECHO.
Pause

CD /d %~DP0

FWUpdLcl64.exe -FWVER  > ME_Verchk.txt
for /f "usebackq" %%a IN (`"type "ME_Verchk.txt" | find /i /c "FW Version: 16.1.30.2264" "`) do set chkME=%%a
echo %chkME% 
if %chkME% NEQ 0　goto end_ME

rem --// MEupdate //--
timeout 1 /nobreak
del /f ME_Verchk.txt
FWUpdLcl64.exe -f FWUpdate_prod_Consumer.bin -allowsv

:end_ME

REM UEFI UPDATE
AFUWINx64.EXE EN0051.CAP /p /b /n /r /x /e /RLC:E

cls
ECHO. 
ECHO     UEFIのアップデートが完了しました
ECHO     何かキーを押すと再起動が実施されます
ECHO     EPSONロゴが表示されたら"Delete"キーよりUEFIに入り"Load Setup Defaults"を実施してください
ECHO. 
PAUSE >nul
shutdown /r /t 10
EXIT